Bug 109644 - [ICL][BAT] igt@i915_selftest@live_requests - incomplete - __execlists_submission_tasklet: execlists_submit_ports:518 GEM_BUG_ON(count > !n)
Summary: [ICL][BAT] igt@i915_selftest@live_requests - incomplete - __execlists_submiss...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: Triaged, ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-15 17:28 UTC by Martin Peres
Modified: 2019-04-11 10:02 UTC (History)
1 user (show)

See Also:
i915 platform: ICL
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-02-15 17:28:56 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5606/fi-icl-u2/igt@i915_selftest@live_requests.html

<0>[  597.467847] i915_sel-4552    6d..1 597504656us : __execlists_submission_tasklet: execlists_submit_ports:518 GEM_BUG_ON(count > !n)
<0>[  597.467849] ---------------------------------
<4>[  597.467852] ---[ end trace 68de446bc12a1d66 ]---
Comment 2 Chris Wilson 2019-02-15 17:32:01 UTC
You see nothing; you definitely don't see a reocurrence of bug 108315.
Comment 3 Francesco Balestrieri 2019-02-18 06:54:01 UTC
So far this has failed once and then succeeded in several runs after that, including the latest one:

https://intel-gfx-ci.01.org/tree/drm-tip/fi-icl-u2.html

So it's not blocking BAT and probably shouldn't be highest priority.
Comment 4 Francesco Balestrieri 2019-03-01 08:32:06 UTC
Happened again: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5666/fi-icl-u2/igt@i915_selftest@live_requests.html

Still sporadic though.
Comment 5 Francesco Balestrieri 2019-03-22 08:56:50 UTC
Still happening. Lowering to medium.
Comment 6 Francesco Balestrieri 2019-03-22 08:57:10 UTC
I mean "still NOT happening" of course.
Comment 7 Chris Wilson 2019-04-11 10:02:09 UTC
More fingers crossed,

commit 632c7ad6f4509767fcbe76ac034747b4a30a13d9 (HEAD -> drm-intel-next-queued, drm-intel/for-linux-next, drm-intel/drm-intel-next-queued)
Author: Mika Kuoppala <mika.kuoppala@linux.intel.com>
Date:   Fri Apr 5 21:46:57 2019 +0100

    drm/i915/icl: Switch to using 12 deep CSB status FIFO
    
    Now when we can support variable csb fifo sizes, disable legacy mode.
    By disabling legacy we hope to get better hw testing coverage by
    assuming everyone else have switched over.
    
    v2: rebase
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=110338
    Cc: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Joonas Lahtinen <joonas.lahtinen@linux.intel.com>
    Cc: Daniele Ceraolo Spurio <daniele.ceraolospurio@intel.com>
    Cc: Kelvin Gardiner <kelvin.gardiner@intel.com>
    Cc: Paulo Zanoni <paulo.r.zanoni@intel.com>
    Signed-off-by: Mika Kuoppala <mika.kuoppala@linux.intel.com>
    Acked-by: Chris Wilson <chris@chris-wilson.co.uk>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Link: https://patchwork.freedesktop.org/patch/msgid/20190405204657.12887-2-chris@chris-wilson.co.uk


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.